<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: CLASS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_c_l_a_s_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CLASS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="entities_8h_source.html">entities.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a854352f53b148adc24983a58a1866d66"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_a_s_s.html#a854352f53b148adc24983a58a1866d66">size</a></td></tr>
<tr class="separator:a854352f53b148adc24983a58a1866d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83bf6c579a52a01899badf321ee3f7f3"><td class="memItemLeft" align="right" valign="top">void *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_a_s_s.html#a83bf6c579a52a01899badf321ee3f7f3">ctor</a> )(void *self, va_list *app)</td></tr>
<tr class="separator:a83bf6c579a52a01899badf321ee3f7f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cd5db2916efc17482d2ec0656fc8dce"><td class="memItemLeft" align="right" valign="top">void *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_a_s_s.html#a2cd5db2916efc17482d2ec0656fc8dce">dtor</a> )(void *self)</td></tr>
<tr class="separator:a2cd5db2916efc17482d2ec0656fc8dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbe8379b5bef1e4f5df3a59dd4928c17"><td class="memItemLeft" align="right" valign="top">void *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_a_s_s.html#afbe8379b5bef1e4f5df3a59dd4928c17">clone</a> )(const void *self)</td></tr>
<tr class="separator:afbe8379b5bef1e4f5df3a59dd4928c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe6e11e40a394c1beff6e40f4edf806"><td class="memItemLeft" align="right" valign="top">int(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_a_s_s.html#aabe6e11e40a394c1beff6e40f4edf806">differ</a> )(const void *self, const void *b)</td></tr>
<tr class="separator:aabe6e11e40a394c1beff6e40f4edf806"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="afbe8379b5bef1e4f5df3a59dd4928c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbe8379b5bef1e4f5df3a59dd4928c17">&#9670;&nbsp;</a></span>clone</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void*(* clone(const void *self)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a83bf6c579a52a01899badf321ee3f7f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83bf6c579a52a01899badf321ee3f7f3">&#9670;&nbsp;</a></span>ctor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void*(* ctor(void *self, va_list *app)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabe6e11e40a394c1beff6e40f4edf806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabe6e11e40a394c1beff6e40f4edf806">&#9670;&nbsp;</a></span>differ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* differ(const void *self, const void *b)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2cd5db2916efc17482d2ec0656fc8dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cd5db2916efc17482d2ec0656fc8dce">&#9670;&nbsp;</a></span>dtor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void*(* dtor(void *self)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a854352f53b148adc24983a58a1866d66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a854352f53b148adc24983a58a1866d66">&#9670;&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t size</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>entities/include/<a class="el" href="entities_8h_source.html">entities.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_c_l_a_s_s.html">CLASS</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
